<app-header></app-header>

<div class="component-correct-width">

  <h3>Account Settings</h3>

  <md-spinner *ngIf="loading" class="big-spinner"></md-spinner>

  <div *ngIf="loading === false">
    <md-card>
      <md-card-title>
        <div class="flex-container admin-home-header" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
          <div fxFlex="50">
            Profile Details
          </div>
          <div fxFlex="50" fxLayoutAlign="end center">
            {{greeting}}
          </div>
        </div>
        <hr class="red-line">
      </md-card-title>
      <md-card-content>
        <app-profile
          [(userUpdateData)]="userUpdate"
          (userUpdateDataChange)="handleUpdateData()"
          (formStateOutput)="handleformState($event)"
          [cameFromAdmin]="false"
          (picChanged)="handlePicChanged()"
        >
        </app-profile>
      </md-card-content>
      <md-card-title>
        <span>Security</span>
        <hr class="red-line">
      </md-card-title>
      <md-card-content>
        <div class="flex-container admin-home-header" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
          <div fxFlex="50">
            <form novalidate [formGroup]="pwdGroup">
              <span> <!-- Password -->
                <md-input-container>
                  <input type="password" mdInput placeholder="Password" formControlName="password" />
                  <md-hint class="smaller-font">
                    Must be at least 6 characters
                  </md-hint>
                  <md-error *ngIf="pwdGroup.get('password').touched && pwdGroup.get('password').hasError('required')">
                    Password is required
                  </md-error>
                  <md-error *ngIf="pwdGroup.get('password').touched && pwdGroup.get('password').hasError('minlength')">
                    Minimum of 6 characters
                  </md-error>
                </md-input-container>
              </span>

              <span> <!-- Repeat Password -->
                <md-input-container>
                  <input type="password" mdInput placeholder="Confirm Password" formControlName="rePassword" />
                  <md-error *ngIf="pwdGroup.get('rePassword').touched && pwdGroup.get('rePassword').hasError('required')">
                    Please repeat password
                  </md-error>
                  <md-error *ngIf="pwdGroup.get('rePassword').touched && pwdGroup.hasError('nomatch')">
                    Passwords must match
                  </md-error>
                </md-input-container>
              </span>
            </form>
          </div>
          <div fxFlex="27" fxLayoutAlign="end center">
            <span *ngIf="showSmallSpinner">
              Processing...&nbsp;
            </span>
          </div>
          <div fxFlex="5" fxLayoutAlign="end center">
            <span>
              <md-spinner class="spinner-small" *ngIf="showSmallSpinner"></md-spinner>
            </span>
          </div>
          <div fxFlex="10" fxLayoutAlign="end center">
            <span>
              <button [disabled]="disableSubmit || disablePwdSubmit" md-raised-button color="accent" (click)="onSubmit()">Save Changes</button>
            </span>
          </div>
          <div fxFlex="8" fxLayoutAlign="end center">
            <span>
              <button md-raised-button color="primary" routerLink="/" routerLinkActive="active">Cancel</button>
            </span>
          </div>


        </div>

      </md-card-content>
    </md-card>
  </div>
</div>
<app-footer> </app-footer>




